in scala.xml
class PrefixedAttribute

`class` PrefixedAttribute
  `extends` scala.xml.MetaData
  `with` scala.ScalaObject

  prefixed attributes always have a non-null namespace

Constructor Summary
| `def` this ( pre : java.lang.String , key : java.lang.String , value : java.lang.String , next : scala.xml.MetaData )

Def Summary
| `def` copy ( next : scala.xml.MetaData ) : scala.xml.PrefixedAttribute Returns a copy of this unprefixed attribute with the given next field.
| `def` equals1 ( m : scala.xml.MetaData ) : scala.Boolean
| `def` getNamespace ( owner : scala.xml.Node ) : java.lang.String
| `def` getValue ( key : java.lang.String ) : java.lang.String forwards the call to next
| `def` getValue ( namespace : java.lang.String , scope : scala.xml.NamespaceBinding , key : java.lang.String ) : java.lang.String gets attribute value of qualified (prefixed) attribute with given key
`override` | `def` hashCode : scala.Int
`final` | `def` isPrefixed : scala.Boolean returns true
| `def` toString1 ( sb : java.lang.StringBuffer ) : scala.Unit
| `def` wellformed ( scope : scala.xml.NamespaceBinding ) : scala.Boolean

Constructor Detail

`def` this ( pre : java.lang.String , key : java.lang.String , value : java.lang.String , next : scala.xml.MetaData )

Def Detail

`def` copy ( next : scala.xml.MetaData ) : scala.xml.PrefixedAttribute

  Returns a copy of this unprefixed attribute with the given next field.

`def` equals1 ( m : scala.xml.MetaData ) : scala.Boolean

`def` getNamespace ( owner : scala.xml.Node ) : java.lang.String

`def` getValue ( key : java.lang.String ) : java.lang.String

  forwards the call to next

`def` getValue ( namespace : java.lang.String , scope : scala.xml.NamespaceBinding , key : java.lang.String ) : java.lang.String

  gets attribute value of qualified (prefixed) attribute with given key

override `def` hashCode : scala.Int

final `def` isPrefixed : scala.Boolean

  returns true

`def` toString1 ( sb : java.lang.StringBuffer ) : scala.Unit

`def` wellformed ( scope : scala.xml.NamespaceBinding ) : scala.Boolean